Results 1 to 10 of 10

Thread: Audio-recorder for Ubuntu 15.10 (Wily) and 16.04.

  1. #1
    Join Date
    Jan 2006
    Location
    Palmela, Portugal
    Beans
    660

    Audio-recorder for Ubuntu 15.10 (Wily) and 16.04.

    EDIT: Audio-recorder for Ubuntu 17.04 (Zesty Zapus) is ready!
    Please See:
    https://ubuntuforums.org/showthread.php?t=2349495
    ------------

    Audio-recorder v1.7-5 is now ready for Ubuntu 15.10 and 16.04:
    You are welcome to use it.

    PACKAGES FOR UBUNTU 15.04, 15.10, 16.04 AND LATER:
    THIS IS A NEW PPA THAT BELONGS TO THE TEAM AUDIO-RECORDER.
    https://launchpad.net/~audio-recorde...ive/ubuntu/ppa

    PACKAGES FOR UBUNTU 14.10 AND OLDER:
    THIS INCLUDES LINUX-MINT 13, 17 AND ALL 17.x.
    https://launchpad.net/~osmoma/+archive/audio-recorder

    SOURCE CODE:
    https://launchpad.net/~audio-recorder

    This version can be compiled and run on any modern Linux-distro that has GTK 3.14+ and Gstreamer 1.4.




    Sejam bem-vindos!
    Moma,
    Palmela/Portugal -- rocks too.
    Last edited by moma; February 1st, 2017 at 11:04 PM.

  2. #2
    Join Date
    Jan 2006
    Location
    Palmela, Portugal
    Beans
    660

    Re: Audio-recorder for Ubuntu 15.10 (Wily)

    Re-hi,
    Audio-recorder is already available for 16.04 Xenial Xerus (pre).

  3. #3
    Join Date
    Dec 2005
    Beans
    Hidden!
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Audio-recorder for Ubuntu 15.10 (Wily)

    Quote Originally Posted by moma View Post
    Re-hi,
    Audio-recorder is already available for 16.04 Xenial Xerus (pre).
    I installed vers 1.7.5 today and got an error message ..

    Code:
    audio-recorder
    audio-recorder: error while loading shared libraries: libappindicator3.so.1: cannot open shared object file: No such file or directory
    I installed it as per the instructions at https://launchpad.net/~audio-recorde...ive/ubuntu/ppa
    Last edited by oygle; November 4th, 2016 at 01:44 AM. Reason: version info

  4. #4
    Join Date
    Jun 2007
    Beans
    17,337

    Re: Audio-recorder for Ubuntu 15.10 (Wily)

    Quote Originally Posted by oygle View Post
    I installed vers 1.7.5 today and got an error message ..

    Code:
    audio-recorder


    I installed it as per the instructions at https://launchpad.net/~audio-recorde...ive/ubuntu/ppa
    You would need to have the libappindicator3-1 package installed to get that .so Whether that's an issue in Kubuntu no idea..

    To check if there are any other missing run this, look for any 'not found'
    Code:
    ldd /usr/bin/audio-recorder

  5. #5
    Join Date
    Dec 2005
    Beans
    Hidden!
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Audio-recorder for Ubuntu 15.10 (Wily)

    Quote Originally Posted by mc4man View Post
    You would need to have the libappindicator3-1 package installed to get that .so Whether that's an issue in Kubuntu no idea..
    The change log for that package states ..

    libappindicator (12.10.1+15.04.20141110-0ubuntu1) vivid; urgency=low

    [ Lars Uebernickel ]
    * scroll-event: change parameter to the right type

    -- Ubuntu daily release <ps-jenkins@lists.canonical.com> Mon, 10 Nov 2014 16:30:06 +0000
    But I'm not sure of other packages that are dependant upon it. Synaptic package manager tells me that libappindicator3-1 package is NOT currently installed.

    Quote Originally Posted by mc4man View Post
    To check if there are any other missing run this, look for any 'not found'
    Code:
    ldd /usr/bin/audio-recorder
    Only one entry found ..

    libappindicator3.so.1 => not found
    Thanks for your help.

  6. #6
    Join Date
    Jun 2007
    Beans
    17,337

    Re: Audio-recorder for Ubuntu 15.10 (Wily)

    Quote Originally Posted by oygle View Post
    The change log for that package states ..



    But I'm not sure of other packages that are dependant upon it. Synaptic package manager tells me that libappindicator3-1 package is NOT currently installed.



    Only one entry found ..



    Thanks for your help.
    Well I guess you could try to install it though 15.10 (wily) is end of life so not sure where you'd stand there. (- did you switch to old-release repos? or consider moving to 16.04

    On a side note, libappindicator3-1 is not an install dep but libappindicator3-dev is a build dep. Probably libappindicator3-1 should have been explicitly added to the package's control file.

  7. #7
    Join Date
    Dec 2005
    Beans
    Hidden!
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Audio-recorder for Ubuntu 15.10 (Wily)

    Quote Originally Posted by mc4man View Post
    - did you switch to old-release repos? or consider moving to 16.04
    Have done a fresh install of 16.04.1 in the last few weeks. So, not wanting to change releases.

    Quote Originally Posted by mc4man View Post
    On a side note, libappindicator3-1 is not an install dep but libappindicator3-dev is a build dep. Probably libappindicator3-1 should have been explicitly added to the package's control file.
    Do you think if I install the package libappindicator3-1 , that will fix the problem at present ?

  8. #8
    Join Date
    Jun 2007
    Beans
    17,337

    Re: Audio-recorder for Kubuntu, missing libappindicator3-1

    Quote Originally Posted by oygle View Post
    Have done a fresh install of 16.04.1 in the last few weeks. So, not wanting to change releases.



    Do you think if I install the package libappindicator3-1 , that will fix the problem at present ?
    Try - I not sure why I thought you had wily (15.10), probably from the thread title

  9. #9
    Join Date
    Dec 2005
    Beans
    Hidden!
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: Audio-recorder for Kubuntu, missing libappindicator3-1

    Quote Originally Posted by mc4man View Post
    Try - I not sure why I thought you had wily (15.10), probably from the thread title
    Yes, I should have started a new thread possibly.

  10. #10
    Join Date
    Jan 2006
    Location
    Palmela, Portugal
    Beans
    660

    Re: Audio-recorder for Ubuntu 15.10 (Wily) and 16.04.

    Hello,
    Look, audio-recorder is a GTK/GNOME application. I do not know if it can run on a KDE-based desktop (like Kubuntu).
    KDE has propably its own audio stack and recorder software.

    Nevertheless, try search for libappindicator package in your system. Run:
    $ apt-cache search libappindicator

    Then, if the package is found, apt-get it with:
    $ sudo apt install PACKAGENAME

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •